Bug 523596 - QuickSynergy fails to run on clean F11 install
Summary: QuickSynergy fails to run on clean F11 install
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: quicksynergy
Version: 11
Hardware: i586
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Adel Gadllah
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-16 05:04 UTC by Chris Moates
Modified: 2010-06-28 14:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:40:40 UTC


Attachments (Terms of Use)
bug-buddy output (235.38 KB, text/plain)
2009-09-16 05:04 UTC, Chris Moates
no flags Details

Description Chris Moates 2009-09-16 05:04:15 UTC
Created attachment 361183 [details]
bug-buddy output

Description of problem:

Quicksynergy immediately crashes with a stack smashing dump.

Version-Release number of selected component (if applicable):-
quicksynergy-0.8.1-2.fc11.i586

How reproducible:
100% of the time, on my i386 box, which is a brand new fedora 11 install.

Steps to Reproduce:
1. sudo yum install quicksynergy
2. quicksynergy
3. observe glibc's evil stack smashing output
  
Actual results:
Stack error, as in additional info. Also, attached is a bugreport produced from bug-buddy, I guess.

Expected results:
GUI should load.

Additional info:

Comment 1 Chris Moates 2009-09-16 05:07:40 UTC
Forgot to add the output from the shell.

cmoates@zotac:~$ quicksynergy 
*** stack smashing detected ***: quicksynergy terminated
======= Backtrace: =========
/lib/libc.so.6(__fortify_fail+0x48)[0x843d88]
/lib/libc.so.6(__fortify_fail+0x0)[0x843d40]
quicksynergy[0x804a7ad]
quicksynergy[0x804b80e]
/lib/libc.so.6(__libc_start_main+0xe6)[0x762a66]
quicksynergy[0x80498e1]
======= Memory map: ========
00110000-0054c000 r-xp 00000000 fd:00 26938      /usr/lib/libgtk-x11-2.0.so.0.1600.6
0054c000-00552000 rw-p 0043c000 fd:00 26938      /usr/lib/libgtk-x11-2.0.so.0.1600.6
00552000-00553000 rw-p 00000000 00:00 0 
00553000-005f2000 r-xp 00000000 fd:00 26932      /usr/lib/libgdk-x11-2.0.so.0.1600.6
005f2000-005f5000 rw-p 0009f000 fd:00 26932      /usr/lib/libgdk-x11-2.0.so.0.1600.6
005f5000-00610000 r-xp 00000000 fd:00 14041      /usr/lib/libatk-1.0.so.0.2511.1
00610000-00612000 rw-p 0001a000 fd:00 14041      /usr/lib/libatk-1.0.so.0.2511.1
00612000-0068a000 r-xp 00000000 fd:00 12267      /lib/libgio-2.0.so.0.2000.5
0068a000-0068c000 rw-p 00077000 fd:00 12267      /lib/libgio-2.0.so.0.2000.5
0068c000-006b5000 r-xp 00000000 fd:00 13966      /usr/lib/libpangoft2-1.0.so.0.2400.5
006b5000-006b6000 rw-p 00028000 fd:00 13966      /usr/lib/libpangoft2-1.0.so.0.2400.5
006b6000-00744000 r-xp 00000000 fd:00 7926       /usr/lib/libfreetype.so.6.3.20
00744000-00748000 rw-p 0008e000 fd:00 7926       /usr/lib/libfreetype.so.6.3.20
00748000-0074b000 r-xp 00000000 fd:00 12271      /lib/libgmodule-2.0.so.0.2000.5
0074b000-0074c000 rw-p 00002000 fd:00 12271      /lib/libgmodule-2.0.so.0.2000.5
0074c000-008b7000 r-xp 00000000 fd:00 6948       /lib/libc-2.10.1.so
008b7000-008b9000 r--p 0016b000 fd:00 6948       /lib/libc-2.10.1.so
008b9000-008ba000 rw-p 0016d000 fd:00 6948       /lib/libc-2.10.1.so
008ba000-008bd000 rw-p 00000000 00:00 0 
008bd000-008e3000 r-xp 00000000 fd:00 6956       /lib/libm-2.10.1.so
008e3000-008e4000 r--p 00025000 fd:00 6956       /lib/libm-2.10.1.so
008e4000-008e5000 rw-p 00026000 fd:00 6956       /lib/libm-2.10.1.so
008e5000-008ed000 r-xp 00000000 fd:00 11843      /usr/lib/libXrender.so.1.3.0
008ed000-008ee000 rw-p 00007000 fd:00 11843      /usr/lib/libXrender.so.1.3.0
008ee000-008f0000 r-xp 00000000 fd:00 11861      /usr/lib/libXinerama.so.1.0.0
008f0000-008f1000 rw-p 00001000 fd:00 11861      /usr/lib/libXinerama.so.1.0.0
008f1000-008fa000 r-xp 00000000 fd:00 11856      /usr/lib/libXi.so.6.0.0
008fa000-008fb000 rw-p 00008000 fd:00 11856      /usr/lib/libXi.so.6.0.0
008fb000-00902000 r-xp 00000000 fd:00 11875      /usr/lib/libXrandr.so.2.2.0
00902000-00903000 rw-p 00006000 fd:00 11875      /usr/lib/libXrandr.so.2.2.0
00903000-0090c000 r-xp 00000000 fd:00 11866      /usr/lib/libXcursor.so.1.0.2
0090c000-0090d000 rw-p 00008000 fd:00 11866      /usr/lib/libXcursor.so.1.0.2
0090d000-0090f000 r-xp 00000000 fd:00 11909      /usr/lib/libXcomposite.so.1.0.0
0090f000-00910000 rw-p 00001000 fd:00 11909      /usr/lib/libXcomposite.so.1.0.0
00910000-00912000 r-xp 00000000 fd:00 11887      /usr/lib/libXdamage.so.1.1.0
00912000-00913000 rw-p 00001000 fd:00 11887      /usr/lib/libXdamage.so.1.1.0
00913000-00916000 r-xp 00000000 fd:00 6954       /lib/libdl-2.10.1.so
00916000-00917000 r--p 00002000 fd:00 6954       /lib/libdl-2.10.1.so
00917000-00918000 rw-p 00003000 fd:00 6954       /lib/libdl-2.10.1.so
00918000-00934000 r-xp 00000000 fd:00 7403       /lib/libselinux.so.1
00934000-00935000 r--p 0001b000 fd:00 7403       /lib/libselinux.so.1
00935000-00936000 rw-p 0001c000 fd:00 7403       /lib/libselinux.so.1
00936000-0097a000 r-xp 00000000 fd:00 10896      /usr/lib/libpixman-1.so.0.14.0
0097a000-0097c000 rw-p 00044000 fd:00 10896      /usr/lib/libpixman-1.so.0.14.0
0097c000-0097e000 r-xp 00000000 fd:00 9760       /usr/lib/libXau.so.6.0.0
0097e000-0097f000 rw-p 00001000 fd:00 9760       /usr/lib/libXau.so.6.0.0
0097f000-00981000 r-xp 00000000 fd:00 7392       /lib/libcom_err.so.2.1
00981000-00982000 rw-p 00001000 fd:00 7392       /lib/libcom_err.so.2.1
00984000-009c4000 r-xp 00000000 fd:00 12273      /lib/libgobject-2.0.so.0.2000.5
009c4000-009c5000 rw-p 00040000 fd:00 12273      /lib/libgobject-2.0.so.0.2000.5
009c5000-009d7000 r-xp 00000000 fd:00 7263       /lib/libz.so.1.2.3
009d7000-009d8000 rw-p 00011000 fd:00 7263       /lib/libz.so.1.2.3
009d8000-009f0000 r-xp 00000000 fd:00 8130       /usr/lib/libsasl2.so.2.0.22
009f0000-009f1000 rw-p 00017000 fd:00 8130       /usr/lib/libsasl2.so.2.0.22
009f2000-00a18000 r-xp 00000000 fd:00 7976       /usr/lib/libpng12.so.0.37.0
00a18000-00a19000 rw-p 00025000 fd:00 7976       /usr/lib/libpng12.so.0.37.0
00a1a000-00a24000 r-xp 00000000 fd:00 13964      /usr/lib/libpangocairo-1.0.so.0.2400.5
00a24000-00a25000 rw-p 00009000 fd:00 13964      /usr/lib/libpangocairo-1.0.so.0.2400.5
00a25000-00b50000 r-xp 00000000 fd:00 11585      /usr/lib/libX11.so.6.2.0
00b50000-00b54000 rw-p 0012a000 fd:00 11585      /usr/lib/libX11.so.6.2.0
00b54000-00b79000 r-xp 00000000 fd:00 8067       /lib/libexpat.so.1.5.2
00b79000-00b7b000 rw-p 00024000 fd:00 8067       /lib/libexpat.so.1.5.2
00b7b000-00b96000 r-xp 00000000 fd:00 9809       /usr/lib/libxcb.so.1.1.0
00b96000-00b97000 rw-p 0001b000 fd:00 9809       /usr/lib/libxcb.so.1.1.0
00b97000-00bc1000 r-xp 00000000 fd:00 12710      /usr/lib/libgssapi_krb5.so.2.2
00bc1000-00bc2000 rw-p 0002a000 fd:00 12710      /usr/lib/libgssapi_krb5.so.2.2
00bc2000-00bd9000 r-xp 00000000 fd:00 6958       /lib/libnsl-2.10.1.so
00bd9000-00bda000 r--p 00016000 fd:00 6958       /lib/libnsl-2.10.1.so
00bda000-00bdb000 rw-p 00017000 fd:00 6958       /lib/libnsl-2.10.1.so
00bdb000-00bdd000 rw-p 00000000 00:00 0 
00bdd000-00bf1000 r-xp 00000000 fd:00 6974       /lib/libresolv-2.10.1.so
00bf1000-00bf2000 ---p 00014000 fd:00 6974       /lib/libresolv-2.10.1.so
00bf2000-00bf3000 r--p 00014000 fd:00 6974       /lib/libresolv-2.10.1.so
00bf3000-00bf4000 rw-p 00015000 fd:00 6974       /lib/libresolv-2.10.1.so
00bf4000-00bf6000 rw-p 00000000 00:00 0 
00bf6000-00bfe000 r-xp 00000000 fd:00 6952       /lib/libcrypt-2.10.1.so
00bfe000-00bff000 r--p 00007000 fd:00 6952       /lib/libcrypt-2.10.1.so
00bff000-00c00000 rw-p 00008000 fd:00 6952       /lib/libcrypt-2.10.1.so
00c00000-00c27000 rw-p 00000000 00:00 0 
00c27000-00c29000 r-xp 00000000 fd:00 9066       /lib/libkeyutils-1.2.so
00c29000-00c2a000 rw-p 00001000 fd:00 9066       /lib/libkeyutils-1.2.so
00c2a000-00c2c000 r-xp 00000000 fd:00 59231      /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
00c2c000-00c2d000 rw-p 00001000 fd:00 59231      /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
00c2e000-00d0c000 r-xp 00000000 fd:00 12269      /lib/libglib-2.0.so.0.2000.5
00d0c000-00d0d000 rw-p 000de000 fd:00 12269      /lib/libglib-2.0.so.0.2000.5
00d0d000-00d16000 r-xp 00000000 fd:00 12726      /usr/lib/libkrb5support.so.0.1
00d16000-00d17000 rw-p 00008000 fd:00 12726      /usr/lib/libkrb5support.so.0.1
00d17000-00d1c000 r-xp 00000000 fd:00 6962       /lib/libnss_dns-2.10.1.so
00d1c000-00d1d000 r--p 00004000 fd:00 6962       /lib/libnss_dns-2.10.1.so
00d1d000-00d1e000 rw-p 00005000 fd:00 6962       /lib/libnss_dns-2.10.1.so
00d1e000-00d22000 r-xp 00000000 fd:00 8823       /lib/libcap.so.2.16
00d22000-00d23000 rw-p 00003000 fd:00 8823       /lib/libcap.so.2.16
00d24000-00d40000 r-xp 00000000 fd:00 26934      /usr/lib/libgdk_pixbuf-2.0.so.0.1600.6
00d40000-00d41000 rw-p 0001c000 fd:00 26934      /usr/lib/libgdk_pixbuf-2.0.so.0.1600.6
00d41000-00d64000 r-xp 00000000 fd:00 12714      /usr/lib/libk5crypto.so.3.1
00d64000-00d65000 rw-p 00023000 fd:00 12714      /usr/lib/libk5crypto.so.3.1
00d65000-00d76000 r-xp 00000000 fd:00 50383      /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
00d76000-00d77000 rw-p 00011000 fd:00 50383      /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
00d7a000-00d9a000 r-xp 00000000 fd:00 6941       /lib/ld-2.10.1.so
00d9a000-00d9b000 r--p 0001f000 fd:00 6941       /lib/ld-2.10.1.so
00d9b000-00d9c000 rw-p 00020000 fd:00 6941       /lib/ld-2.10.1.so
00d9c000-00ddf000 r-xp 00000000 fd:00 6923       /lib/libfreebl3.so
00ddf000-00de0000 rw-p 00042000 fd:00 6923       /lib/libfreebl3.so
00de0000-00de4000 rw-p 00000000 00:00 0 
00de4000-00dfa000 r-xp 00000000 fd:00 6972       /lib/libpthread-2.10.1.so
00dfa000-00dfb000 ---p 00016000 fd:00 6972       /lib/libpthread-2.10.1.so
00dfb000-00dfc000 r--p 00016000 fd:00 6972       /lib/libpthread-2.10.1.so
00dfc000-00dfd000 rw-p 00017000 fd:00 6972       /lib/libpthread-2.10.1.so
00dfd000-00dff000 rw-p 00000000 00:00 0 
00dff003d410659-f6d5-a9e7-1e26df66-498c21cb is dumped

Comment 2 Bug Zapper 2010-04-28 10:23:53 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:40:40 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.